function BeamUniformLoadFromSlab(SlabLoad, L1, L2, Typos, Pleyra)
{
	var k

switch  (Pleyra)
{
case 1:
    k = PlakesEpif(L1, L2, Typos, Pleyra) / L1;
  break;
case 2:
  	k = PlakesEpif(L1, L2, Typos, Pleyra) / L1;
  break;
case 3:
		k = PlakesEpif(L1, L2, Typos, Pleyra) / L2;
  break;
case 4:
		k = PlakesEpif(L1, L2, Typos, Pleyra) / L2;
  break;
default:
    k = 0
}	
	return k * SlabLoad;
}


function PlakesEpif(L1, L2, Typos, Pleyra)
{

var L1a, L1b, L1c;
var L2a, L2b, L2c;	
var E1, E2, E3, E4;

var epifan=0;


switch  (Typos)
{
case "1":
        E1 = 0.5 * (L1 + (L1 - L2)) * L2 / 2;
        E2 = E1;
        E3 = 0.25 * L2 * L2;
        E4 = E3;
  break;

case "2a":
        L2b = L2 / (1 + Math.tan(Math.PI / 6) / Math.tan(Math.PI / 4));
        L2a = L2 - L2b;
        L1a = L2a;
        L1c = L2a;
        L1b = L1 - 2 * L2a;

        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = E3;
  break;

case "2b":
        L1a = (L2 / 2) / Math.tan(Math.PI / 6);
        L1c = L2 / 2;
        L2a = L1c;
        L2b = L1c;
        L1b = L1 - L1a - L1c;
        
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
        
        if (L1b < 0)
          {
            L1a = L1 / (1 + Math.tan(Math.PI / 6));
            L1b = L1 - L1a;
            L2a = L1b;
            L2c = L1b;
            L2b = L2 - L2a - L2c;
            
            E1 = 0.5 * L1 * L2c;
            E2 = 0.5 * L1 * L2a;
            E3 = 0.5 * (L2 + L2b) * L1a;
            E4 = 0.5 * (L2 + L2b) * L1b;
  				}
break;

case "3a":
        L2a = L2 / 2;
        L2b = L2a;
        L1a = L2a / Math.tan(Math.PI / 3);
        L1c = L1a;
        L1b = L1 - L1a - L1c;
           
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
break;

case "3b":
        L2a = L2 / 2;
        L2b = L2a;
        L1a = L2a / Math.tan(Math.PI / 6);
        L1c = L1a;
        L1b = L1 - L1a - L1c;
           
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
               
        if (L1b < 0)
          {
            L1a = L1 / 2;
            L1b = L1a;
            L2a = L1a * Math.tan(Math.PI / 6);
            L2c = L2a;
            L2b = L2 - L2a - L2c;
            
            E1 = 0.5 * L1 * L2c;
            E2 = 0.5 * L1 * L2a;
            E3 = 0.5 * (L2 + L2b) * L1a;
            E4 = 0.5 * (L2 + L2b) * L1b;
  				}
  break;

case "4":
        L2a = L2 / (1 + Math.tan(Math.PI / 3) / Math.tan(Math.PI / 4));
        L2b = L2 - L2a;
        L1a = L2b;
        L1c = L2a;
        L1b = L1 - L1a - L1c;
           
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
break;

case "5a":
        L2a = L2 / 2;
        L2b = L2 - L2a;
        L1a = L2b;
        L1c = L2a / Math.tan(Math.PI / 3);
        L1b = L1 - L1a - L1c;
           
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
break;

case "5b":
        L2b = L2 / (1 + Math.tan(Math.PI / 3) / Math.tan(Math.PI / 4));
        L2a = L2 - L2b;
        L1a = L2a;
        L1c = L2a;
        L1b = L1 - L1a - L1c;
           
        E1 = 0.5 * (L1 + L1b) * L2b;
        E2 = 0.5 * (L1 + L1b) * L2a;
        E3 = 0.5 * L2 * L1a;
        E4 = 0.5 * L2 * L1c;
               
        if (L1b < 0)
          {
            L1a = L1 / 2;
            L1b = L1a;
            L2a = L1a;
            L2c = L2a * Math.tan(Math.PI / 6);
            L2b = L2 - L2a - L2c;
            
            E1 = 0.5 * L1 * L2c;
            E2 = 0.5 * L1 * L2a;
            E3 = 0.5 * (L2 + L2b) * L1a;
            E4 = 0.5 * (L2 + L2b) * L1b;
  				}
  break;
default:
       E1 = 0;
       E2 = 0;
       E3 = 0;
  		 E4 = 0;
}


switch  (Pleyra)
{
case 1:
        epifan = E1;
  break;
case 2:
        epifan = E2;
  break;
case 3:
        epifan = E3;
  break;
case 4:
        epifan = E4;
  break;
default:
        epifan = 0
}

return epifan;
		

	
}